For the complete documentation index, see llms.txt. This page is also available as Markdown.

Block Users

Endpoints for managing blocking of WhatsApp Users

Get Blocked WhatsApp Users

get

Get a paginated list of blocked WhatsApp user numbers on your WhatsApp Business number.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Query parameters
limitintegerOptional

Maximum number of blocked users to fetch in the request

afterstringOptional

Cursor for pagination - fetch results after this cursor

beforestringOptional

Cursor for pagination - fetch results before this cursor

Responses
200

Blocked users retrieved successfully

application/json

Response payload for getting the list of blocked users

get/block_users
GET /block_users HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "block_users": [
        {
          "input": "1234567890",
          "wa_id": "1234567890"
        }
      ]
    }
  ],
  "paging": {
    "cursors": {
      "after": "MTAxNTExOTQ1MjAwNzI5NDE=",
      "before": "NDMyNzQyODI3OTQw"
    },
    "next": "https://graph.facebook.com/{version}/{phone-number-id}/block_users?limit=25&after=MTAxNTExOTQ1MjAwNzI5NDE=",
    "previous": "https://graph.facebook.com/{version}/{phone-number-id}/block_users?limit=10&before=NDMyNzQyODI3OTQw"
  }
}

Block WhatsApp Users

post

Block a list of WhatsApp user numbers from contacting your business. When you block a WhatsApp user, the user cannot contact your business or see that you are online, and your business cannot message the user.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Body

Block users request payload

messaging_productstringOptionalExample: whatsapp
Responses
200

Users blocked successfully

application/json

Response payload for successful block users operation

messaging_productstringOptionalExample: whatsapp
post/block_users
POST /block_users HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 70

{
  "block_users": [
    {
      "user": "1234567890"
    }
  ],
  "messaging_product": "whatsapp"
}
{
  "block_users": {
    "added_users": [
      {
        "input": "1234567890",
        "wa_id": "1234567890"
      }
    ],
    "failed_users": [
      {
        "errors": [
          {
            "code": 131047,
            "error_data": {
              "details": "text"
            },
            "message": "Re-engagement required"
          }
        ],
        "input": "1234567890",
        "wa_id": "1234567890"
      }
    ]
  },
  "messaging_product": "whatsapp"
}

Unblock WhatsApp Users

delete

Unblock a list of WhatsApp user numbers, allowing them to contact your business again.

Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Body

Unblock users request payload

messaging_productstringOptionalExample: whatsapp
Responses
200

Users unblocked successfully

application/json

Response payload for successful unblock users operation

messaging_productstringOptionalExample: whatsapp
delete/block_users
DELETE /block_users HTTP/1.1
Host: waba-v2.360dialog.io
D360-API-KEY: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 70

{
  "block_users": [
    {
      "user": "1234567890"
    }
  ],
  "messaging_product": "whatsapp"
}
{
  "block_users": {
    "added_users": [
      {
        "input": "1234567890",
        "wa_id": "1234567890"
      }
    ],
    "failed_users": [
      {
        "errors": [
          {
            "code": 131047,
            "error_data": {
              "details": "text"
            },
            "message": "Re-engagement required"
          }
        ],
        "input": "1234567890",
        "wa_id": "1234567890"
      }
    ]
  },
  "messaging_product": "whatsapp"
}

Last updated

Was this helpful?